DISPLAY "Sequence tests" SKIP WITH SIDE-LABELS.

DEFINE VARIABLE seq-val-1 AS INTEGER NO-UNDO.
DEFINE VARIABLE seq-val-2 AS INTEGER NO-UNDO.

/* form 1 of CURRENT-VALUE function */
seq-val-1 = CURRENT-VALUE(my-seq-1).

NEXT-VALUE(my-seq-1).

/* form 2 of CURRENT-VALUE function */
seq-val-2 = CURRENT-VALUE(my-seq-1, p2j_test).

DISPLAY seq-val-1 SKIP seq-val-2 SKIP.

IF seq-val-1 = seq-val-2 THEN DO:
   CURRENT-VALUE(my-seq-1) = 10 + 5. /* reset sequence */
   CURRENT-VALUE(my-seq-1, p2j_test) = 15. /* reset sequence */
   MESSAGE "The value of my-seq-1 has been reseted."
      VIEW-AS ALERT-BOX INFORMATION BUTTONS OK.
END.


/* Dynamic forms; */

DEFINE VARIABLE seqName AS CHARACTER INITIAL "my-seq-1"  NO-UNDO.
DEFINE VARIABLE db-name AS CHARACTER INITIAL "p2j_test"  NO-UNDO.
DEFINE VARIABLE seq-val-3 AS INTEGER NO-UNDO.
DEFINE VARIABLE seq-val-4 AS INTEGER NO-UNDO.

seq-val-3 = DYNAMIC-CURRENT-VALUE(seqName + "", db-name).

DYNAMIC-NEXT-VALUE(seqName, db-name).

seq-val-4 = DYNAMIC-CURRENT-VALUE("my-seq-" + STRING(1), "p" + STRING(2) + "j_test").

DISPLAY seq-val-3 SKIP seq-val-4 SKIP.

IF seq-val-3 = seq-val-4 THEN DO:
   DYNAMIC-CURRENT-VALUE("my-seq-" + STRING(1), db-name) = 10 + 5. /* reset sequence */
   DYNAMIC-CURRENT-VALUE(seqName, "p" + STRING(2) + "j_test") = 15. /* reset sequence */
   MESSAGE "The value of my-seq-1 has been reseted 2nd time."
      VIEW-AS ALERT-BOX INFORMATION BUTTONS OK.
END.

